- Qt 6.10
- Qt Sensors
- C++ Classes
- QTiltReading
- Qt 6.10.2 Reference Documentation

# QTiltReading Class

The QTiltReading class holds readings from the tilt sensor. More...

Header: | `#include <QTiltReading>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Sensors)` `target_link_libraries(mytarget PRIVATE Qt6::Sensors)`
qmake: | `QT += sensors`
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- xRotation : const qreal
- yRotation : const qreal

## Public Functions

void | setXRotation(qreal x)
void | setYRotation(qreal y)
qreal | xRotation() const
qreal | yRotation() const

## Detailed Description

The tilt sensor reports the angle of tilt in degrees of the device along the X and Y plane.

## Property Documentation

### `[read-only]` xRotation : const qreal

This property holds the amount of tilt on the X axis, measured in degrees.

Access functions:

qreal | xRotation() const

### `[read-only]` yRotation : const qreal

This property holds the amount of tilt on the Y axis, measured in degrees.

Access functions:

qreal | yRotation() const

## Member Function Documentation

### void QTiltReading::setXRotation(qreal x)

Sets xRotation to x degrees.

See also xRotation().

### void QTiltReading::setYRotation(qreal y)

Sets yRotation to y degrees.

See also yRotation().